package com.wechat.model.dbEntity;

import java.math.BigDecimal;
import java.util.Date;

public class TdtgGroupInfo extends TdtgGroupInfoKey {
    private String groupId;

    private Integer groupType;

    private String groupTitle;

    private String groupDescribe;

    private Date startTime;

    private Date endTime;

    private String goodsId;

    private String goodsImg;

    private String bannerImg1;

    private String bannerImg2;

    private String bannerImg3;

    private BigDecimal limitTime;

    private Integer groupNum1;

    private BigDecimal groupPrice1;

    private Integer groupNum2;

    private BigDecimal groupPrice2;

    private Integer groupNum3;

    private BigDecimal groupPrice3;

    private BigDecimal retailPrice;

    private Integer discountMode;

    private Integer discountNum;

    private BigDecimal discountPrice;

    private Date planTime;

    private Integer status;

    private Integer versionNo;

    private String description;

    private Integer delFlg;

    private String creator;

    private Date createTime;

    private String lastModifier;

    private Date lastModifyTime;

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }

    public String getGroupTitle() {
        return groupTitle;
    }

    public void setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle == null ? null : groupTitle.trim();
    }

    public String getGroupDescribe() {
        return groupDescribe;
    }

    public void setGroupDescribe(String groupDescribe) {
        this.groupDescribe = groupDescribe == null ? null : groupDescribe.trim();
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId == null ? null : goodsId.trim();
    }

    public String getGoodsImg() {
        return goodsImg;
    }

    public void setGoodsImg(String goodsImg) {
        this.goodsImg = goodsImg == null ? null : goodsImg.trim();
    }

    public String getBannerImg1() {
        return bannerImg1;
    }

    public void setBannerImg1(String bannerImg1) {
        this.bannerImg1 = bannerImg1 == null ? null : bannerImg1.trim();
    }

    public String getBannerImg2() {
        return bannerImg2;
    }

    public void setBannerImg2(String bannerImg2) {
        this.bannerImg2 = bannerImg2 == null ? null : bannerImg2.trim();
    }

    public String getBannerImg3() {
        return bannerImg3;
    }

    public void setBannerImg3(String bannerImg3) {
        this.bannerImg3 = bannerImg3 == null ? null : bannerImg3.trim();
    }

    public BigDecimal getLimitTime() {
        return limitTime;
    }

    public void setLimitTime(BigDecimal limitTime) {
        this.limitTime = limitTime;
    }

    public Integer getGroupNum1() {
        return groupNum1;
    }

    public void setGroupNum1(Integer groupNum1) {
        this.groupNum1 = groupNum1;
    }

    public BigDecimal getGroupPrice1() {
        return groupPrice1;
    }

    public void setGroupPrice1(BigDecimal groupPrice1) {
        this.groupPrice1 = groupPrice1;
    }

    public Integer getGroupNum2() {
        return groupNum2;
    }

    public void setGroupNum2(Integer groupNum2) {
        this.groupNum2 = groupNum2;
    }

    public BigDecimal getGroupPrice2() {
        return groupPrice2;
    }

    public void setGroupPrice2(BigDecimal groupPrice2) {
        this.groupPrice2 = groupPrice2;
    }

    public Integer getGroupNum3() {
        return groupNum3;
    }

    public void setGroupNum3(Integer groupNum3) {
        this.groupNum3 = groupNum3;
    }

    public BigDecimal getGroupPrice3() {
        return groupPrice3;
    }

    public void setGroupPrice3(BigDecimal groupPrice3) {
        this.groupPrice3 = groupPrice3;
    }

    public BigDecimal getRetailPrice() {
        return retailPrice;
    }

    public void setRetailPrice(BigDecimal retailPrice) {
        this.retailPrice = retailPrice;
    }

    public Integer getDiscountMode() {
        return discountMode;
    }

    public void setDiscountMode(Integer discountMode) {
        this.discountMode = discountMode;
    }

    public Integer getDiscountNum() {
        return discountNum;
    }

    public void setDiscountNum(Integer discountNum) {
        this.discountNum = discountNum;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Date getPlanTime() {
        return planTime;
    }

    public void setPlanTime(Date planTime) {
        this.planTime = planTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getVersionNo() {
        return versionNo;
    }

    public void setVersionNo(Integer versionNo) {
        this.versionNo = versionNo;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public Integer getDelFlg() {
        return delFlg;
    }

    public void setDelFlg(Integer delFlg) {
        this.delFlg = delFlg;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator == null ? null : creator.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getLastModifier() {
        return lastModifier;
    }

    public void setLastModifier(String lastModifier) {
        this.lastModifier = lastModifier == null ? null : lastModifier.trim();
    }

    public Date getLastModifyTime() {
        return lastModifyTime;
    }

    public void setLastModifyTime(Date lastModifyTime) {
        this.lastModifyTime = lastModifyTime;
    }
}